| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# setindex

$Revision: 1.3 $

$Date: 2002/06/12 11:18:36 $

setindex — An index to a set of books

## Synopsis

### Content Model

    setindex ::=
    (setindexinfo?,
     (title,subtitle?,titleabbrev?)?,
     (calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
      simplelist|variablelist|caution|important|note|tip|warning|
      literallayout|programlisting|programlistingco|screen|screenco|
      screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
      fieldsynopsis|constructorsynopsis|destructorsynopsis|
      methodsynopsis|formalpara|para|simpara|address|blockquote|
      graphic|graphicco|mediaobject|mediaobjectco|informalequation|
      informalexample|informalfigure|informaltable|equation|example|
      figure|table|msgset|procedure|sidebar|qandaset|productionset|
      constraintdef|anchor|bridgehead|remark|highlights|abstract|
      authorblurb|epigraph|indexterm|beginpage)*,
     (indexdiv*|indexentry*))

### Attributes

Common attributes

## Description

A `SetIndex` contains the formatted index of a complete `Set` of `Book`s. An index may begin with introductory material, followed by any number of `IndexEntry`s or `IndexDiv`s.

### Processing expectations

Formatted as a displayed block. An `Index` in a `Set` usually causes a forced page break in print media.

In many processing systems, indexes are generated automatically or semiautomatically and never appear instantiated as DocBook markup.

### Parents

These elements contain setindex: `book`, `set`.

### Children

The following elements occur in setindex: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexdiv`, `indexentry`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `setindexinfo`, `sidebar`, `simpara`, `simplelist`, `subtitle`, `synopsis`, `table`, `tip`, `title`, `titleabbrev`, `variablelist`, `warning`.

## Examples

See `Index`.

set |  | setindexinfo

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.